Doomsday Engine - Bug #2277

(linux/ubuntu) doomsday-server is only sending the default port to the master list.
2018-08-10 05:36 - tacgnol

Status: Closed Start date: 2018-08-10
Priority: High % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.1 (Late 2018)

Description

Hello, after some troubleshooting from this thread : http:/talk.dengine.net/discussion/2569/multiple-public-server-issue
It seems that with the ubuntu linux package, the doomsday-server program is sending the default port instead of the specified port.

| believe the local discovery with UDP is working properly, i can see the proper port on the lan. The issue is only with the public
master list.

| tried the same config with a windows build, and it was working properly with the correct specified port being advertised.

Associated revisions

Revision c6c64af9 - 2018-09-30 12:54 - skyjake

Fixed|Server: Server's port not included in master server announcement
In case the local IP address was not determined and "net-ip-address”
was not set, the server's port was omitted from the master server
announcement.
History

#1 - 2018-08-11 15:29 - skyjake

- Category set to Defect

- Assignee set to skyjake

- Priority changed from Normal to High
- Target version set to 2.1 (Late 2018)

#2 - 2018-09-30 12:56 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 2018-10-01 09:50 - tacgnol
Working great, thanks !

#4 - 2018-10-01 10:22 - skyjake

- Status changed from Resolved to Closed
